﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Microsoft.Build.Framework;

namespace Domain
{
    public class Course
    {
        public int CourseId { get; set; }

        // if not required, use nullable int - int?. Database picks it up
        public int SubjectId { get; set; }
        public virtual Subject Subject { get; set; }


        public virtual List<PersonInCourse> Persons { get; set; } = new List<PersonInCourse>();

    }
}
